Revenues
The revenues resource is used to track revenue.
Revenue object
{
"id": "019eb9a9-f703-7147-8eee-7bf0a8e70b82",
"tenant": "019eb9a9-f241-77da-82cd-cf2f36b4e25b",
"location": null,
"contact": "019eb9a9-f3dd-7719-a216-6zdgfjh938s6",
"revenue_identifier": null,
"amount": 32400,
"type": "019eb9a9-f3b0-7997-b4f2-f19c1728d2d9",
"source": "019eb9a9-f3ab-75a7-b167-1bc695219f72",
"method": "019eb9a9-f3a3-7a11-95ee-5df72db178ba",
"purpose": "019eb9a9-f3a7-7abd-8637-c184d1dd19ca",
"campaign": null,
"notes": null,
"meta": null,
"received_at": "2026-06-15 17:36:42",
"archived_at": null,
"created_at": "2026-06-12 02:29:43",
"updated_at": null
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- locationnullable stringUnique ID of the location.
- contactrequired stringUnique ID of the contact who gave the revenue.
- revenue_identifiernullable stringUnique identifier for the revenue within the tenant.
- amountrequired integerAmount of the revenue in cents.
- typenullable stringUnique ID of the revenue type.
- sourcenullable stringUnique ID of the revenue source.
- methodnullable stringUnique ID of the revenue method.
- purposenullable stringUnique ID of the revenue purpose.
- campaignnullable stringUnique ID of the campaign.
- notesnullable stringNotes about the revenue.
- metanullable objectAdditional metadata about the revenue.
- received_atrequired stringUTC timestamp of when the revenue was received.
- archived_atnullable stringUTC timestamp of when the record was archived.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create a revenue
POST /tenants/{tenantId}/revenues
The request body must include a revenue object.
Required permissions
revenues:create locations:read contacts:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Revenue object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
List revenues
GET /tenants/{tenantId}/revenues
This endpoint also supports filtering records to only those associated with specific contact types using query parameters.
?member=true: Returns only revenue records associated with contacts that are members. Requires themembers:readpermission.?member=false: Returns only revenue records associated with contacts that are not members. Requires themembers:readpermission.?staff=true: Returns only revenue records associated with contacts that are staff. Requires thestaff:readpermission.?staff=false: Returns only revenue records associated with contacts that are not staff. Requires thestaff:readpermission.
Required permissions
revenues:read locations:read contacts:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of revenue objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a revenue
GET /tenants/{tenantId}/revenues/{id}
Required permissions
revenues:read locations:read contacts:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Revenue object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or revenue ID not found | Error object |
Update a revenue
PATCH /tenants/{tenantId}/revenues/{id}
The request body must include parts of a revenue object.
Required permissions
revenues:update locations:read contacts:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated revenue record | Revenue object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or revenue ID not found | Error object |
Delete a revenue
DELETE /tenants/{tenantId}/revenues/{id}
Required permissions
revenues:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?